<xml></xml>

Saxon API for .NET |

# XPathSelector Methods

The methods of the XPathSelector class are listed below. For a complete list of XPathSelector class members, see the XPathSelector Members topic.

#### Public Instance Methods

Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
Evaluate | Evaluate the expression, returning the result as an `XdmValue` (that is, a sequence of nodes and/or atomic values).
EvaluateSingle | Evaluate the XPath expression, returning the result as an `XdmItem` (that is, a single node or atomic value).
GetEnumerator | Evaluate the expression, returning the result as an `IEnumerator` (that is, an enumerator over a sequence of nodes and/or atomic values).
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
SetVariable | Set the value of a variable The name of the variable. This must match the name of a variable that was declared to the XPathCompiler. No error occurs if the expression does not actually reference a variable with this name.The value to be given to the variable.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XPathSelector Class | Saxon.Api Namespace